EventHttpRequest::removeHeader
EventHttpRequest::sendReply
EventHttpRequest
PHP Manual

# EventHttpRequest::sendError

(PECL event >= 1.4.0-beta)

EventHttpRequest::sendError — Send an HTML error message to the client

### Description

public void EventHttpRequest::sendError ( int `$error` [, string `$reason` = `NULL` ] )

Send an HTML error message to the client.

### Parameters

`error`

  The HTTP error code.

`reason`

  A brief explanation ofthe error. If `NULL`, the standard meaning of the error code will be used.

### Return Values

No value is returned.

### Examples

Example #1 EventHttpRequest::sendError() example

`<?php
function _http_400($req) {
$req->sendError(400);
}
$base = new EventBase();
$http = new EventHttp($base);
$http->setCallback("/err400", "_http_400");
$http->bind("0.0.0.0", 8010);
$base->loop();
?>`

### See Also

- EventHttpRequest::sendReply() - Send an HTML reply to the client

EventHttpRequest::removeHeader
EventHttpRequest::sendReply
EventHttpRequest
PHP Manual